Bug 732521 - ipa entitle-register : prompts for rhsm password twice like you are trying to set a new password
Summary: ipa entitle-register : prompts for rhsm password twice like you are trying to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 19:15 UTC by Jenny Severance
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:30:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-08-22 19:15:28 UTC
Description of problem:


# ipa entitle-register
Username: myid
Password: 
Enter Password again to verify: 


Version-Release number of selected component (if applicable):
# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.0                             Vendor: Red Hat, Inc.
Release     : 1.el6                         Build Date: Mon 15 Aug 2011 06:26:27 PM EDT
Install Date: Mon 22 Aug 2011 02:25:15 PM EDT      Build Host: x86-005.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.0-1.el6.src.rpm
Size        : 3296786                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.2 Beta (Santiago)


How reproducible:
always

Steps to Reproduce:
1. install ipa-server
2. ipa entitle-register
3.
  
Actual results:
Enter Password again to verify: 

Expected results:
no prompt to verify password

Additional info:

Comment 1 Dmitri Pal 2011-08-22 20:13:18 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1695

Comment 2 Rob Crittenden 2011-08-25 12:36:24 UTC
Fixed upstream

master: 1936b8050e5ee7861996f370d2171b751f18c1fb

ipa-2-1: 33fb16067a9dd181a1d54194b9820279f549bc24

Comment 6 Martin Kosek 2011-11-01 13:49:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 7 Gowrishankar Rajaiyan 2011-11-03 06:16:09 UTC
# ipa entitle-register
ipa: ERROR: unknown command 'entitle-register'

As expected. Verified in version:

Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:13:53 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 8 errata-xmlrpc 2011-12-06 18:30:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.